
Katello - Bug #5257

Products UI: Unable to create a product

04/21/2014 06:27 PM - Brad Buckingham

Status: Closed   

Priority: High   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Attempting to create a product using the UI will generate a 404 with the stack included below.

This issue appears to occur after the following PR was merged: https://github.com/Katello/katello/pull/3952

Scenario:

1. go to Content -> Products

2. click New Products

Result:

Processing by Katello::Api::V2::ProvidersController#index as JSON

Parameters: {"full_result"=>"true", "api_version"=>"v2"}

Setting locale: en

Checking  params  for katello/api/v2/providers/index

ERROR: One of parameters [ organization_id ] required but not specified. (404) ***

REQUEST URL: /katello/api/v2/providers?full_result=true

Katello::HttpErrors::NotFound: One of parameters [ organization_id ] required but not specified.

/home/bbucking/github/katello/app/controllers/katello/api/v2/api_controller.rb:121:in `find_organization'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:531:in `block

(3 levels) in run_2791842361958496178__process_action__4512491146149890230__callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:215:in `block

in conditional_callback_around_4887'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:326:in `around'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:310:in

`_callback_around_1716'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4887'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:460:in `block

(2 levels) in _run_2791842361958496178__process_action__4512491146149890230__callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:215:in `block

in conditional_callback_around_4886'

/home/bbucking/github/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4886'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:404:in `block

in _run_2791842361958496178__process_action__4512491146149890230__callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:215:in `block

in conditional_callback_around_4885'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:326:in `around'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:310:in

`_callback_around_13'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4885'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:403:in `_run

_2791842361958496178__process_action__4512491146149890230__callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:405:in
`__run_callback'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:385:in

`_run_process_action_callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:81:in

`run_callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/abstract_controller/callbacks.rb:17:in

`process_action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal/rescue.rb:29:in

`process_action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal/instrumentation.rb:30:

in `block in process_action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/notifications.rb:123:in

`block in instrument'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/notifications/instrumenter.r

b:20:in `instrument'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/notifications.rb:123:in

`instrument'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal/instrumentation.rb:29:

in `process_action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal/params_wrapper.rb:2

07:in `process_action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activerecord-3.2.17/lib/active_record/railties/controller_runtime.rb:1

8:in `process_action'

/home/bbucking/github/katello/app/controllers/katello/api/api_controller.rb:69:in `process_action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/abstract_controller/base.rb:121:in `process'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/abstract_controller/rendering.rb:45:in

`process'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal.rb:203:in `dispatch'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal/rack_delegation.rb:14

:in `dispatch'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_controller/metal.rb:246:in `block in

action'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:73:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:73:in

`dispatch'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:36:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/routing/mapper.rb:43:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:608:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/engine.rb:484:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/railtie/configurable.rb:30:in `method_missing'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:608:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/static.rb:63:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/apipie-rails-0.1.2/lib/apipie/static_dispatcher.rb:65:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-openid-1.4.2/lib/rack/openid.rb:98:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/apipie-rails-0.1.2/lib/apipie/middleware/checksum_in_headers.rb:2

7:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/best_standards_

support.rb:17:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/conditionalget.rb:25:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/head.rb:14:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/params_parser.r

b:21:in `call'

/home/bbucking/github/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/flash.rb:242:in
`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `context'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/cookies.rb:341:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activerecord-3.2.17/lib/active_record/query_cache.rb:64:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract

/connection_pool.rb:479:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/callbacks.rb:28:i

n `block in call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:405:in

`_run__3562112907046300059__call__467712760691515917__callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:405:in

`__run_callback'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:385:in

`_run_call_callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:81:in

`run_callbacks'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/callbacks.rb:27:i

n `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/reloader.rb:65:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/remote_ip.rb:31:i

n `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/debug_exceptio

ns.rb:16:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/show_exception

s.rb:56:in `call'

/home/bbucking/github/katello/lib/katello/middleware/silenced_logger.rb:30:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/request_id.rb:22:

in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/activesupport-3.2.17/lib/active_support/cache/strategy/local_cache

.rb:72:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/actionpack-3.2.17/lib/action_dispatch/middleware/static.rb:63:in

`call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/engine.rb:484:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/application.rb:231:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/railtie/configurable.rb:30:in `method_missing'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `block in call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/content_length.rb:14:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/rack/log_tailer.rb:17:in `call'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/connection.rb:86:in `block in pre_process'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/connection.rb:84:in `catch'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/connection.rb:84:in `pre_process'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/connection.rb:53:in `process'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/connection.rb:39:in `receive_data'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/eventmachine-1.0.3/lib/eventmachine.rb:187:in `run_machine'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/eventmachine-1.0.3/lib/eventmachine.rb:187:in `run'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/backends/base.rb:73:in `start'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/thin-1.6.2/lib/thin/server.rb:162:in `start'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/handler/thin.rb:13:in `run'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/rack-1.4.5/lib/rack/server.rb:268:in `start'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/commands/server.rb:70:in `start'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/commands.rb:55:in `block in <top

(required)>'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/commands.rb:50:in `tap'

/home/bbucking/.rvm/gems/ruby-1.9.3-p194@foreman/gems/railties-3.2.17/lib/rails/commands.rb:50:in `<top (required)>'

./script/rails:6:in `require'

./script/rails:6:in `<main>'

Completed 404 Not Found in 15.6ms (Views: 0.5ms | ActiveRecord: 0.0ms)

With body: {"displayMessage":"One of parameters [ organization_id ] required but not specified.","errors":["One of parameters [
organization_id ] required but not specified."]}

Associated revisions

Revision eee5839d - 04/21/2014 04:42 PM - Brad Buckingham

fixes #5257 - UI - fix product create and manifest import

Recently some changes went in to ensure consistency in the UI for

paged and non-paged queries.  In the process, a couple of issues

arose.  This commit addresses those 2 items:

1. manifest import - update the query sent to server to include

organization_id

2. product create - remove unnecessary provider requests to the server

Revision 18f320e4 - 04/21/2014 05:15 PM - Brad Buckingham

Merge pull request #3995 from bbuckingham/issue-5257

fixes #5257 - UI - fix product create and manifest import

Revision f46ddf6e - 04/21/2014 08:42 PM - Brad Buckingham

fixes #5257 - UI - fix product create and manifest import

Recently some changes went in to ensure consistency in the UI for

paged and non-paged queries.  In the process, a couple of issues

arose.  This commit addresses those 2 items:

1. manifest import - update the query sent to server to include

organization_id

2. product create - remove unnecessary provider requests to the server

Revision ce0f6954 - 04/21/2014 09:15 PM - Brad Buckingham

Merge pull request #3995 from bbuckingham/issue-5257

fixes #5257 - UI - fix product create and manifest import

History

#1 - 04/21/2014 06:37 PM - Brad Buckingham

- Category set to Web UI

- Assignee set to Brad Buckingham

#2 - 04/21/2014 09:53 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f46ddf6e3dc3003bd2476138ddce5832a47214be.

#3 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
